! Program Example from "Essential Fortran 90 & 95" by Loren P. Meissner
! Copyright 1996. Copying for sale requires permission from the author.
! Otherwise, distribution is permitted if these three lines are included.

  module G23M
    implicit none
    type, public :: Small
      integer :: I, J
      character (len = 5), dimension(2) :: Word
    end type Small
    type, public :: Big
      integer :: How_Many
      type (Small), dimension(2) :: Data
    end type Big
  end module G23M
